import { ReactReactiveAdapterResult } from "@cfcs/react";
import { SCENE_ITEM_REACTIVE, SceneItemOptions, SceneItemReactiveProps } from "scenejs";
/**
 * @typedef
 * @memberof ReactScene
 * @extends Reactive.AnimatorReactiveState
 */
export interface ReactSceneItemResult extends ReactReactiveAdapterResult<typeof SCENE_ITEM_REACTIVE> {
}
/**
 * @memberof ReactScene
 * @param {Reactive.SceneItemReactiveProps} - Items and properties that make up the scene item
 * @param - SceneItem and Animator options
 * @return - You can use SceneItem methods and Animator State.
 * @example
 * import { useSceneItem, useNowFrame } from "react-scenejs";
 *
 * const item = useSceneItem({ ... });
 * const frame = useNowFrame(item);
 *
 * frame.camelCasedCSSObject;
 */
export declare function useSceneItem(props?: SceneItemReactiveProps, options?: Partial<SceneItemOptions>): import("@cfcs/react").ReactiveResult<import("scenejs").SceneItemReactiveInstance, import("scenejs").AnimatorReactiveState, "getDuration" | "setDuration" | "getItem" | "newItem" | "removeItem" | "setItem" | "getCurrentFrames" | "getCurrentFlattedFrames" | "setTime" | "forEach" | "toCSS" | "exportCSS" | "append" | "pauseCSS" | "pause" | "endCSS" | "end" | "getOrders" | "setOrders" | "getAnimationElement" | "addPlayClass" | "playCSS" | "set" | "clear" | "load" | "setOptions" | "setSelector" | "start" | "setEasing" | "getTotalDuration" | "getActiveDuration" | "isEnded" | "isPaused" | "play" | "finish" | "getTime" | "getUnitTime" | "isDelay" | "setIteration" | "setId" | "getId" | "getIterationTime" | "setIterationTime" | "setDelay" | "getDelay" | "setFillMode" | "getFillMode" | "setIterationCount" | "getIterationCount" | "setDirection" | "getDirection" | "setPlayState" | "getPlayState" | "setPlaySpeed" | "getPlaySpeed" | "getEasing" | "getEasingName" | "on" | "off" | "once" | "emit" | "trigger", import("scenejs").SceneItemEvents>;
